set -e
source .venv/bin/activate

# setup
TEST_DB="/tmp/test_memesdb.db"
export MEMESDB_PATH=$TEST_DB

if [[ "$1" == "stats" ]]; then
   memesdb stats
   exit 0
fi


rm -f $TEST_DB

echo "🧪 starting memesdb e2e test..."

# index the memes
echo "📥 indexing downloads folder..."
memesdb index ./downloads

# search for bernie
echo "🔍 searching for bernie..."
BERNIE_RESULT=$(memesdb search "bernie sanders" | grep -i "onceagain")
if [ -z "$BERNIE_RESULT" ]; then
    echo "❌ couldn't find bernie! fail"
    exit 1
fi
echo "✅ found bernie"

# tag waow
echo "🏷️  adding custom tag to waow.png..."
echo "egregious" | memesdb tag "waow" 

# search for our weird tag
echo "🔍 searching for custom tag..."
WAOW_RESULT=$(memesdb search "egregious" | grep -i "waow")
if [ -z "$WAOW_RESULT" ]; then
    echo "❌ couldn't find waow by custom tag! fail"
    exit 1
fi
echo "✅ found waow by custom tag"

echo "🎉 all tests passed!"
